<?php

#############################################################################
#                              WIZZ FORUM
#  Wizz Forum is a KISS Forum: Keep It Small and Simple.
#
# About the Wizz Forum:
# Original Idea & PHP coding: Mike Kroger (mikek@icon.co.za),
# who granted permission to put Wizz forum uder the GNU GPL.  
# Code adaptations and modularization for Site@School:
# Fred Stuurman (fc.stuurman@hccnet.nl)
############################################################################
# forumverifymodacc.php: last changed 05/10/2006  version 2.4.10
#                        by Fred Stuurman (fc.stuurman@hccnet.nl)
#$Id: forumverifymodacc.php,v 1.2 2006/10/15 19:08:53 fstuurman Exp $
############################################################################
#                        LICENSE INFORMATION
# Copyright (C) 2006, Rosa Boekdrukker Primary School, Holland.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_SESSION['forum_username']))
{
	$forum_username = $_SESSION['forum_username'];
	$forum_username = htmlspecialchars(strip_tags($forum_username)); //remove html tags
}
if (IsSet ($_POST['password']))
{
	$password = $_POST['password'];
	$password = htmlspecialchars(strip_tags($password)); //remove html tags
}
if (IsSet ($_POST['password2']))
{
	$password2 = $_POST['password2'];
	$password2 = htmlspecialchars(strip_tags($password2)); //remove html tags
}
if (IsSet ($_POST['firstname']))
{
	$firstname = $_POST['firstname'];
	$firstname = htmlspecialchars(strip_tags($firstname)); //remove html tags
}
if (IsSet ($_POST['lastname']))
{
	$lastname = $_POST['lastname'];
	$lastname = htmlspecialchars(strip_tags($lastname)); //remove html tags
}
if (IsSet ($_POST['emailaddress']))
{
	$emailaddress = $_POST['emailaddress'];
	$emailaddress = htmlspecialchars(strip_tags($emailaddress)); //remove html tags
}
if (IsSet ($_POST['showemail']))
{
	$showemail = $_POST['showemail'];
	$showemail = htmlspecialchars(strip_tags($showemail)); //remove html tags
}
if (IsSet ($_POST['weburl']))
{
	$weburl = $_POST['weburl'];
	$weburl = htmlspecialchars(strip_tags($weburl)); //remove html tags
}
if (IsSet ($_GET['forumid']))
{
	$forumid = intval($_GET['forumid']);
}

$error = true;

if ($password == "")
{
	$msg = $sas_lang['forum_msg3'];
}
elseif (strlen($password) < 5)
{
	$msg = $sas_lang['forum_msg4'];
}
elseif ($password != $password2)
{
	$msg = $sas_lang['forum_msg'];
}
elseif ($password == $forum)
{
	$msg = $sas_lang['forum_msg6'];
}
elseif ($firstname == "")
{
	$msg = $sas_lang['forum_msg7'];
}
elseif ($lastname == "")
{
	$msg = $sas_lang['forum_msg8'];
}
elseif ($emailaddress == "")
{
	$msg = $sas_lang['forum_msg9'];
}
else
{

	$result = mysql_query("Select * from $forumuser_table where username = '$forum_username'");
	if (mysql_num_rows($result) == 0)
	{
		$msg = "A database error occured while trying to update your forum account.";
	}
	else
	{

		if ($showemail == "on")
		{
			$semail = 1;
		}
		else
		{
			$semail = 0;
		}

		$ins_str = "Update $forumuser_table set firstname='" . $firstname . "', surname='" . $lastname . "', email='" . $emailaddress . "', showemail=" . $semail . ", weburl='" . $weburl . "', password='" . $password . "' where username ='" . $forum_username . "'";

		if (mysql_query($ins_str))
		{
			$msg = $sas_lang[forum_profile_saved];
			$error = False;
		}
		else
		{
			$msg = "A database error occured while trying to update your forum account.";
		}
	}
}
if ($error)
{
	print "<font face='Arial' size='4'>$sas_lang[forum_error]</font>";
	print "<p><font face='Arial' size='2'>" . $msg . "</font>";
	print "<font face='Arial' size='2'><p><A HREF=JavaScript:history.back()>$sas_lang[forum_back]</a></font></p>";
}
else
{
	$result2 = mysql_query("Select name from $forumcat_table where cat_index = '$forumid'");
	if (mysql_num_rows($result2) > 0) //get the forum title 
	{
		$forum_title = mysql_result($result2, 0);
	}
	print "<table cellspacing=\"0\" cellpadding=\"0\"><tr height=\"25\">
	                <td background=\"$cmsdir/modules/sn_forum/left.gif\" width=\"10\">&nbsp;</td>
	                <td background=\"$cmsdir/modules/sn_forum/middle.gif\" align=\"center\">
	                <a href = 'index.php?section=$section&page=$page&forumid=$forumid&option=forum'><b>$sas_lang[forum_main_page]</b></a></td>
	                <td background=\"$cmsdir/modules/sn_forum/right.gif\" width=\"10\">&nbsp;</td>
	                </tr></table>
	                <p><font face='Arial' size='2'><b>" . $msg . "</b></font></p>
	                <center>
	                <p><table border='1' cellpadding='0' cellspacing='0' width='80%' bordercolor='" . $sas_lang[forum_bordercolor] . "'>
	                <tr>
	                <td width='100%'>
	                <table border='0' cellpadding='3' cellspacing='0' width='100%'>
	                <tr>
	                <td width='50%' align='right' bgcolor='$OddBackgroundColor'>
	                <font face='Arial' size='2'>$sas_lang[forum_userid]</font></td>
	                <td width='50%' bgcolor='$OddBackgroundColor'>
	                <font face='Arial' size='2'><b>$forum_username</b></font></td>
	                </tr>
	                <tr>
	                <td width='50%' align='right' bgcolor='$EvenBackgroundColor'>
	                <font face='Arial' size='2'>$sas_lang[forum_password]</font></td>
	                <td width='50%' bgcolor='$EvenBackgroundColor'>
	                <font face='Arial' size='2'><b>$password</b></font></td>
	                </tr>
	                <tr>
	                <td width='50%' align='right' bgcolor='$OddBackgroundColor'>
	                <font face='Arial' size='2'>$sas_lang[forum_firstname]</font></td>
	                <td width='50%' bgcolor='$OddBackgroundColor'>
	                <font face='Arial' size='2'><b>$firstname</b></font></td>
	                </tr>
	                <tr>
	                <td width='50%' align='right' bgcolor='$EvenBackgroundColor'>
	                <font face='Arial' size='2'>$sas_lang[forum_name]</font></td>
	                <td width='50%' bgcolor='$EvenBackgroundColor'>
	                <font face='Arial' size='2'><b>$lastname</b></font></td>
	                </tr>
	                <tr>
	                <td width='50%' align='right' bgcolor='$OddBackgroundColor'>
	                <font face='Arial' size='2'>$sas_lang[forum_email]</font></td>
	                <td width='50%' bgcolor='$OddBackgroundColor'>
	                <font face='Arial' size='2'><b>$emailaddress</b></font></td>
	                <tr>
	                <td width='50%' align='right' bgcolor='$EvenBackgroundColor'>
	                <font face='Arial' size='2'>$sas_lang[forum_email_visible]</font></td>";
	if ($semail == 1)
	{
		$tmptext = $sas_lang[forum_yes];
	}
	else
	{
		$tmptext = $sas_lang[forum_no];
	}
	print "<td width='50%' bgcolor='$EvenBackgroundColor'>
	               <font face='Arial' size='2'><b>$tmptext</b></font></td>
	               </tr>
	               <tr>
	               <td width='50%' align='right' bgcolor='$OddBackgroundColor'>
	               <font face='Arial' size='2'>$sas_lang[forum_website]</font></td>
	               <td width='50%' bgcolor='$OddBackgroundColor'>
	               <font face='Arial' size='2'><b>$weburl</b></font></td>
	               </tr>         
	               <tr><td width='50%' align='right' bgcolor='$EvenBackgroundColor'>
	               <font face='Arial' size='2'>$sas_lang[forum_header]</font></td>
	               <td width='50%' align='left' bgcolor='$EvenBackgroundColor'>
	               <font face='Arial' size='2'><b>$forum_title</b></font></td>
	               </tr>
	               </tr>
	               </table>
	               </td></tr>
	               </table></p>
	               </center>";
}
?>
